////////////////////////////////////// Plot - MySQLQuery.h (mwx,21.12.05) /////
#import <Cocoa/Cocoa.h>

@interface MySQLQuery : NSObject <NSCoding> {
	NSString *name,*host,*db,*user,*passwd,*sql;
	int port;
	BOOL autoupdate,autorescale;
}

- (id)initWithQuery:(NSString *)name:(NSString *)ahost:(NSString *)adb:
										(int)aport:(NSString *)auser:(NSString *)apasswd:
										(NSString *)asql:(BOOL)autoupdate:(BOOL)autorescale;

- (void)dealloc;
- (NSString *)name;
- (NSString *)host;
- (NSString *)db;
- (NSString *)user;
- (NSString *)passwd;
- (NSString *)sql;
- (int)port;
- (BOOL)autoupdate;
- (BOOL)autorescale;

@end ///////////////////////////////////////////////////////////////////// END
